| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
LuaDebuggerGoToLineFrame Class Reference

Inline "go to line" bar for the Lua debugger code editor (AccordionFrame). More...

`#include <lua_debugger_goto_line_frame.h>`

Inheritance diagram for LuaDebuggerGoToLineFrame:

## Public Member Functions
| LuaDebuggerGoToLineFrame (QWidget *parent=nullptr)
| Constructs a new LuaDebuggerGoToLineFrame object.
| ~LuaDebuggerGoToLineFrame () override
| Destroys the LuaDebuggerGoToLineFrame object.
void | setTargetEditor (QPlainTextEdit *editor)
| Sets the target editor for the go to line frame.
void | syncLineFieldFromEditor ()
| Set the line field from the current editor cursor (before animatedShow).
void | scheduleLineFieldFocus ()
| After animatedShow(), move focus to the line field (call from dialog).
Public Member Functions inherited from AccordionFrame
| AccordionFrame (QWidget *parent=0)
| Create an AccordionFrame with the given parent.
void | animatedShow ()
| Show the frame with a slide-down animation.
void | animatedHide ()
| Hide the frame with a slide-up animation.
void | updateStyleSheet ()
| Reapply the stylesheet after a palette or style change.

## Protected Member Functions
void | keyPressEvent (QKeyEvent *event) override
| Handles key press events for the frame.
Protected Member Functions inherited from AccordionFrame
virtual void | hideEvent (QHideEvent *) override
| Emit visibilityChanged(false) when the frame is hidden.
virtual void | showEvent (QShowEvent *) override
| Emit visibilityChanged(true) when the frame is shown.

## Additional Inherited Members
Signals inherited from AccordionFrame
void | visibilityChanged (bool visible)
| Emitted when the frame's visibility changes.

## Detailed Description

Inline "go to line" bar for the Lua debugger code editor (AccordionFrame).

## Constructor & Destructor Documentation

## ◆ LuaDebuggerGoToLineFrame()

LuaDebuggerGoToLineFrame::LuaDebuggerGoToLineFrame | ( | QWidget * | parent = nullptr | ) |
| explicit

Constructs a new LuaDebuggerGoToLineFrame object.

Parameters

  parent | The parent widget.

## Member Function Documentation

## ◆ keyPressEvent()

void LuaDebuggerGoToLineFrame::keyPressEvent | ( | QKeyEvent * | event | ) |
| override protected

Handles key press events for the frame.

Parameters

  event | The key event.

## ◆ setTargetEditor()

void LuaDebuggerGoToLineFrame::setTargetEditor | ( | QPlainTextEdit * | editor | ) |

Sets the target editor for the go to line frame.

Parameters

  editor | Pointer to the target QPlainTextEdit.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/lua_debugger/lua_debugger_goto_line_frame.h
- /builds/wireshark/wireshark/ui/qt/lua_debugger/lua_debugger_goto_line_frame.cpp